/*
Теоретичні питання:

1. Напишіть, як ви розумієте рекурсію. Навіщо вона використовується на практиці?
 Рекурсія - це коли фунція викликає сама себе. Утворюється рукурсивна функція. По суті рекурсія - це група викликів функції і функція повертає значення з нижнього виклику до верхнього. Верхній виклик буде виконуватися останнім і буде фінальним результатом.
*/

/*
Реалізувати функцію підрахунку факторіалу числа. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

Технічні вимоги:
Отримати за допомогою модального вікна браузера число, яке введе користувач.
За допомогою функції порахувати факторіал числа, яке ввів користувач і вивести його на екран.
Використовувати синтаксис ES6 для роботи зі змінними та функціями.
*/

let userNumber;

while (isNaN(userNumber) || userNumber <= 0) {
  userNumber = +prompt("Введіть число більше нуля");
}

function getFactorial (n) {
  return (n != 1) ? n * getFactorial(n - 1) : 1;
}

alert(`Факторіал числа ${userNumber} дорівнює ${getFactorial(userNumber)}`);